Bug 1704785 - perl-Net-SSLeay-1.85-9.fc29 FTBFS: /usr/bin/ld: cannot find -lz
Summary: perl-Net-SSLeay-1.85-9.fc29 FTBFS: /usr/bin/ld: cannot find -lz
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Net-SSLeay
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-30 13:57 UTC by Petr Pisar
Modified: 2019-11-10 01:06 UTC (History)
4 users (show)

Fixed In Version: perl-Net-SSLeay-1.85-11.fc30 perl-Net-SSLeay-1.85-11.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-09 22:39:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2019-04-30 13:57:01 UTC
perl-Net-SSLeay-1.85-9.fc29 fails to build in F29 and F30:

gcc  -lpthread -shared -Wl,-z,relro -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -L/usr -L/usr/lib64 -L/usr/lib -L/usr/local/lib -fstack-protector-strong  SSLeay.o  -o blib/arch/auto/Net/SSLeay/SSLeay.so  \
   -L/usr -L/usr/lib64 -L/usr/lib -lssl -lcrypto -lz -lperl   \
  
BUILDSTDERR: /usr/bin/ld: cannot find -lz

That's caused by openssl-devel-1.1.1b-4 that removed a dependency on zlib-devel and that was pushed into Fedora ≥ 29. A possible fix is applying

commit f571bb6a6929c47b8323c6f2c5214cfefa9dcf37
Author: Paul Howarth <paul@city-fan.org>
Date:   Sat Mar 30 08:06:53 2019 +0000

    Get libraries to link against from pkg-config
    
    Upstream pull request:
    https://github.com/radiator-software/p5-net-ssleay/pull/127

to that Fedoras.

Comment 1 Paul Howarth 2019-04-30 15:47:19 UTC
I was planning on waiting to see what upstream had to say about the PR (or even better, for a non-dev upstream release) before doing an update to a stable Fedora.

Is there some good reason why an FTBFS in a stable Fedora branch should need a fix sooner?

Comment 2 Petr Pisar 2019-04-30 15:57:44 UTC
In case of rebuilding perl-bootstrap Modularity module, it would be an issue. However, it's not planned right now, so it does not hurry.

Comment 3 Ben Cotton 2019-10-31 19:31:55 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Paul Howarth 2019-10-31 20:25:11 UTC
Petr, is there any point doing this now?

Comment 5 Petr Pisar 2019-11-01 08:31:40 UTC
None of the now supported perl-bootstrap streams use perl-Net-SSLeay. But the non-modular perl-Net-SSLeay package does not build anymore <https://koschei.fedoraproject.org/package/perl-Net-SSLeay>. I did not check the reason and Fedora 29 goes EOL soon, but it would be great to fix it in Fedora 30.

Comment 6 Fedora Update System 2019-11-01 09:20:57 UTC
FEDORA-2019-aa0d14547a has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-aa0d14547a

Comment 7 Fedora Update System 2019-11-02 02:26:31 UTC
perl-Net-SSLeay-1.85-11.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3de21c0da4

Comment 8 Fedora Update System 2019-11-02 04:13:26 UTC
perl-Net-SSLeay-1.85-11.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aa0d14547a

Comment 9 Fedora Update System 2019-11-09 22:39:12 UTC
perl-Net-SSLeay-1.85-11.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-11-10 01:06:57 UTC
perl-Net-SSLeay-1.85-11.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.